%define name mozilla
%define version 5.0.0
%define milestone M18

%define _iconsdir /usr/share/icons
%define _miconsdir /usr/share/icons/mini
%define _liconsdir /usr/share/pixmaps
# XXX hany: where is menudir???
%define _menudir /tmp


Name:      %{name}
Summary:   Mozilla, open-source web browser
Version:   %{version}
Release:   %{milestone}.1
Copyright: MPL/NPL
Source0:   ftp://ftp.mozilla.org/pub/mozilla/releases/%{milestone}/src/mozilla-source-%{milestone}.tar.bz2
Source1:   mozilla.sh.bz2
Source2:   mozilla_16.xpm.bz2
Source3:   mozilla_32.xpm.bz2
Source4:   mozilla_48.xpm.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libpng-devel, libjpeg-devel, zlib-devel, zip
Prefix:    %{_prefix}
Group:     Networking/WWW
Url: http://www.mozilla.org/
Obsoletes: mozilla-xpcom mozilla-mail mozilla-browser

%description
Mozilla is an open-source web browser, designed for standards
compliance, performance and portability. 
This the %{milestone} release.

%package devel
Requires: %{name} = %{version}
Summary: Mozilla development files
Group: Development/Other
%description devel
Mozilla development files

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n mozilla

%build
BUILD_OFFICIAL=1 ./configure --prefix=%{_prefix} --enable-optimize \
	--disable-debug \
	--enable-strip-libs --disable-tests --enable-mathml --enable-svg \
	--with-extensions=default,irc

if [ -z "$NPROCS" ]; then NPROCS=`egrep -c ^cpu[0-9]+ /proc/stat || :`; fi 
if [ -z "$NPROCS" -o "$NPROCS" -le "0" ]; then 
  NPROCS=1 
fi

BUILD_OFFICIAL=1 make -s export
BUILD_OFFICIAL=1 make -s -j $NPROCS libs
BUILD_OFFICIAL=1 make -s -j $NPROCS install

# work around for bug #55174 - jars are built screwed
rm -rf dist/bin/chrome
BUILD_OFFICIAL=1 make -s

cd dist/bin
chmod -R +rw chrome
cp -Rf ../lib/components/* components
cp -Rf ../lib/*.so .

%install

rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_libdir}/mozilla
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}/mozilla/idl


cp -r dist/bin/*  $RPM_BUILD_ROOT%{_libdir}/mozilla/
cp -r dist/include/* $RPM_BUILD_ROOT%{_includedir}/mozilla
cp -r dist/idl/* $RPM_BUILD_ROOT%{_includedir}/mozilla/idl
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_prefix}/bin/mozilla

cd $RPM_BUILD_ROOT%{_libdir}/mozilla
# before we run our registrations delete all the directories in the
# chrome directory.
find chrome/* -type d -maxdepth 0 -exec rm -rf {} \; || :

# register our components
LD_LIBRARY_PATH=`pwd` MOZILLA_FIVE_HOME=`pwd` ./regxpcom
# set up the default skin and locale to trigger the generation of
# the user-locales and users-skins.rdf
echo "skin,install,select,modern/1.0" >> chrome/installed-chrome.txt
echo "locale,install,select,en-US" >> chrome/installed-chrome.txt
# set up the chrome rdf files
LD_LIBRARY_PATH=`pwd` MOZILLA_FIVE_HOME=`pwd` ./regchrome
# fix permissions of the chrome directories
find . -type d -perm 0700 -exec chmod 755 {} \; || :

bzcat %SOURCE2 > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %SOURCE3 > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %SOURCE4 > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

# Make sure that we overwrite the mozilla installed with ours.
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_bindir}/mozilla

# installs menu file
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF >> $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(mozilla):\
  icon="mozilla.xpm"\
  needs="x11"\
  section="Networking/WWW"\
  title="Mozilla"\
  longtitle="The free and open source web browser"\
  command="%{_bindir}/mozilla"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
# menu
%{update_menus}

%postun
## menu
%{clean_menus}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/mozilla
%{_libdir}/mozilla
%_iconsdir/*.xpm
%_miconsdir/*.xpm
%_liconsdir/*.xpm

%files devel
%defattr (-,root,root)
%{_includedir}/mozilla


%changelog
* Mon Oct 16 2000 Peter Hanecak <hanecak@megaloman.sk> 5.0.0-M18.1
- added icons into package

* Fri Oct 13 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0.0-0.M18.2mdk
- Merge Christopher Blizzard (RedHat) specfile

* Fri Oct 13 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0.0-0.M18.1mdk
- Release M18
- Remove old patches

* Thu Sep 28 2000 Peter Hanecak <hanecak@megaloman.sk> 5.0.0-M17.1
- small spec changes

* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0.0-0.M17.4mdk
- Merge specfile and fixes from Christopher Blizzard 
- change again page numbering (should be stable now)..

* Fri Aug 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0_M17-3mdk
- Provide non-corrupted icons

* Fri Aug 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0_M17-2mdk
- Add correct icons

* Fri Aug 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0_M17-1mdk
- Release M17

* Fri May 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 5.0_M13-3mdk
- fix menu file

* Fri Mar 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 5.0_M13-2mdk
- add menu entry for sub package mozilla browser

* Fri Feb 25 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 5.0_M13-1mdk
- fixed version-naming --> mozilla-browser needs mozilla-install, not
  mozilla-M13-install.

* Sun Feb 13 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- M13

* Wed Jan 05 2000 Lenny Cartier <lenny@mandrakesoft.com>
- used srpm from mozilla.org
- bz2 archive
- remove the paths in the post sections
- modified the install section
